# capistrano-rocketdeploy

capistrano-rocketdeploy sends notifications about deployments to application [rocketdeploy](https://rscz.ru/rocketdeploy/server)

## Installation

Add this line to your Ruby On Rails application's Gemfile (after `gem 'capistrano', require: false`) in development section.
For example:

```ruby
group :development do
  # Other awesome gems
  # ...

  gem 'capistrano', require: false
  gem 'capistrano-rocketdeploy', require: false
end
```

And then execute:
```
$ bundle
```

## Usage

Add this to your Capfile after `capistrano/scm/git`

```ruby
require 'capistrano/rocketdeploy'
```

Set in `config/deploy.rb`

```
set :rocketdeploy_token, 'secret_token' # generate by rocketdeploy
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on RocketScience Gitlab at [https://rscz.ru/rocketdeploy/capistrano-rocketdeploy](https://rscz.ru/rocketdeploy/capistrano-rocketdeploy).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

